Index: CKEditor/releases/stable/_source/lang/bn.js
===================================================================
--- CKEditor/releases/stable/_source/lang/bn.js	(revision 4887)
+++ CKEditor/releases/stable/_source/lang/bn.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'ফর্ম',
 		checkbox		: 'চেক বাক্স',
-		radio		: 'রেডিও বাটন',
+		radio			: 'রেডিও বাটন',
 		textField		: 'টেক্সট ফীল্ড',
 		textarea		: 'টেক্সট এরিয়া',
 		hiddenField		: 'গুপ্ত ফীল্ড',
 		button			: 'বাটন',
-		select	: 'বাছাই ফীল্ড',
+		select			: 'বাছাই ফীল্ড',
 		imageButton		: 'ছবির বাটন',
 		notSet			: '<সেট নেই>',
@@ -89,9 +93,17 @@
 		ok				: 'ওকে',
 		cancel			: 'বাতিল',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'General', // MISSING
 		advancedTab		: 'এডভান্সড',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'এডভান্সড',
 		type		: 'লিংক প্রকার',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'এই পেজে নোঙর কর',
 		toEmail		: 'ইমেইল',
-		target		: 'টার্গেট',
-		targetNotSet	: '<সেট নেই>',
-		targetFrame	: '<ফ্রেম>',
-		targetPopup	: '<পপআপ উইন্ডো>',
-		targetNew	: 'নতুন উইন্ডো (_blank)',
-		targetTop	: 'শীর্ষ উইন্ডো (_top)',
-		targetSelf	: 'এই উইন্ডো (_self)',
-		targetParent	: 'মূল উইন্ডো (_parent)',
+		targetFrame		: '<ফ্রেম>',
+		targetPopup		: '<পপআপ উইন্ডো>',
 		targetFrameName	: 'টার্গেট ফ্রেমের নাম',
 		targetPopupName	: 'পপআপ উইন্ডোর নাম',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'স্ট্যাটাস বার',
-		popupLocationBar	: 'লোকেশন বার',
+		popupLocationBar: 'লোকেশন বার',
 		popupToolbar	: 'টুল বার',
 		popupMenuBar	: 'মেন্যু বার',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'ভাষা লেখার দিক',
-		langDirNotSet	: '<সেট নেই>',
 		langDirLTR		: 'বাম থেকে ডান (LTR)',
 		langDirRTL		: 'ডান থেকে বাম (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'বর্ডার সাইজ',
 		align		: 'এলাইনমেন্ট',
-		alignNotSet	: '<সেট নেই>',
 		alignLeft	: 'বামে',
 		alignCenter	: 'মাঝখানে',
@@ -211,4 +216,5 @@
 		widthPx		: 'পিক্সেল',
 		widthPc		: 'শতকরা',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'দৈর্ঘ্য',
 		cellSpace	: 'সেল স্পেস',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'একশ্যন',
 		method		: 'পদ্ধতি',
-		encoding	: 'Encoding', // MISSING
-		target		: 'টার্গেট',
-		targetNotSet	: '<সেট নেই>',
-		targetNew	: 'নতুন উইন্ডো (_blank)',
-		targetTop	: 'শীর্ষ উইন্ডো (_top)',
-		targetSelf	: 'এই উইন্ডো (_self)',
-		targetParent	: 'মূল উইন্ডো (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'ছবি বাটন প্রোপার্টি',
 		menu		: 'ছবির প্রোপার্টি',
-		infoTab	: 'ছবির তথ্য',
+		infoTab		: 'ছবির তথ্য',
 		btnUpload	: 'ইহাকে সার্ভারে প্রেরন কর',
-		url		: 'URL',
-		upload	: 'আপলোড',
-		alt		: 'বিকল্প টেক্সট',
+		upload		: 'আপলোড',
+		alt			: 'বিকল্প টেক্সট',
 		width		: 'প্রস্থ',
-		height	: 'দৈর্ঘ্য',
+		height		: 'দৈর্ঘ্য',
 		lockRatio	: 'অনুপাত লক কর',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'সাইজ পূর্বাবস্থায় ফিরিয়ে দাও',
-		border	: 'বর্ডার',
-		hSpace	: 'হরাইজন্টাল স্পেস',
-		vSpace	: 'ভার্টিকেল স্পেস',
+		border		: 'বর্ডার',
+		hSpace		: 'হরাইজন্টাল স্পেস',
+		vSpace		: 'ভার্টিকেল স্পেস',
 		align		: 'এলাইন',
 		alignLeft	: 'বামে',
 		alignRight	: 'ডানে',
-		preview	: 'প্রীভিউ',
 		alertUrl	: 'অনুগ্রহক করে ছবির URL টাইপ করুন',
-		linkTab	: 'লিংক',
+		linkTab		: 'লিংক',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'ফ্লাশ প্রোপার্টি',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'ফ্ল্যাশ প্রোপার্টি',
-		chkPlay		: 'অটো প্লে',
-		chkLoop		: 'লূপ',
-		chkMenu		: 'ফ্ল্যাশ মেনু এনাবল কর',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'স্কেল',
+		title			: 'ফ্ল্যাশ প্রোপার্টি',
+		chkPlay			: 'অটো প্লে',
+		chkLoop			: 'লূপ',
+		chkMenu			: 'ফ্ল্যাশ মেনু এনাবল কর',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'স্কেল',
 		scaleAll		: 'সব দেখাও',
 		scaleNoBorder	: 'কোনো বর্ডার নেই',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'এলাইন',
-		alignLeft	: 'বামে',
-		alignAbsBottom: 'Abs নীচে',
-		alignAbsMiddle: 'Abs উপর',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'এলাইন',
+		alignLeft		: 'বামে',
+		alignAbsBottom	: 'Abs নীচে',
+		alignAbsMiddle	: 'Abs উপর',
 		alignBaseline	: 'মূল রেখা',
-		alignBottom	: 'নীচে',
-		alignMiddle	: 'মধ্য',
-		alignRight	: 'ডানে',
+		alignBottom		: 'নীচে',
+		alignMiddle		: 'মধ্য',
+		alignRight		: 'ডানে',
 		alignTextTop	: 'টেক্সট উপর',
-		alignTop	: 'উপর',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'বেকগ্রাউন্ড রং',
-		width	: 'প্রস্থ',
-		height	: 'দৈর্ঘ্য',
-		hSpace	: 'হরাইজন্টাল স্পেস',
-		vSpace	: 'ভার্টিকেল স্পেস',
-		validateSrc : 'অনুগ্রহ করে URL লিংক টাইপ করুন',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'উপর',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'বেকগ্রাউন্ড রং',
+		width			: 'প্রস্থ',
+		height			: 'দৈর্ঘ্য',
+		hSpace			: 'হরাইজন্টাল স্পেস',
+		vSpace			: 'ভার্টিকেল স্পেস',
+		validateSrc		: 'অনুগ্রহ করে URL লিংক টাইপ করুন',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,21 +482,22 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'সাংখ্যিক লিস্টের লেবেল',
-	bulletedlist : 'বুলেট লিস্ট লেবেল',
-	indent : 'ইনডেন্ট বাড়াও',
-	outdent : 'ইনডেন্ট কমাও',
+	numberedlist	: 'সাংখ্যিক লিস্টের লেবেল',
+	bulletedlist	: 'বুলেট লিস্ট লেবেল',
+	indent			: 'ইনডেন্ট বাড়াও',
+	outdent			: 'ইনডেন্ট কমাও',
 
 	justify :
 	{
-		left : 'বা দিকে ঘেঁষা',
-		center : 'মাঝ বরাবর ঘেষা',
-		right : 'ডান দিকে ঘেঁষা',
-		block : 'ব্লক জাস্টিফাই'
-	},
-
-	blockquote : 'Blockquote', // MISSING
+		left	: 'বা দিকে ঘেঁষা',
+		center	: 'মাঝ বরাবর ঘেষা',
+		right	: 'ডান দিকে ঘেঁষা',
+		block	: 'ব্লক জাস্টিফাই'
+	},
+
+	blockquote : 'Block Quote', // MISSING
 
 	clipboard :
@@ -502,28 +507,29 @@
 		copyError	: 'আপনার ব্রাউজারের সুরক্ষা সেটিংস এডিটরকে অটোমেটিক কপি করার অনুমতি দেয়নি। দয়া করে এই কাজের জন্য কিবোর্ড ব্যবহার করুন (Ctrl+C)।',
 		pasteMsg	: 'অনুগ্রহ করে নীচের বাক্সে কিবোর্ড ব্যবহার করে (<STRONG>Ctrl+V</STRONG>) পেস্ট করুন এবং <STRONG>OK</STRONG> চাপ দিন',
-		securityMsg	: 'Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.' // MISSING
+		securityMsg	: 'Because of your browser security settings, the editor is not able to access your clipboard data directly. You are required to paste it again in this window.', // MISSING
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'পেস্ট (শব্দ)',
-		title : 'পেস্ট (শব্দ)',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'পেস্ট (শব্দ)',
+		title			: 'পেস্ট (শব্দ)',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'সাদা টেক্সট হিসেবে পেস্ট কর',
-		title : 'সাদা টেক্সট হিসেবে পেস্ট কর'
+		button	: 'সাদা টেক্সট হিসেবে পেস্ট কর',
+		title	: 'সাদা টেক্সট হিসেবে পেস্ট কর'
 	},
 
 	templates :
 	{
-		button : 'টেমপ্লেট',
-		title : 'কনটেন্ট টেমপ্লেট',
-		insertOption: 'Replace actual contents', // MISSING
-		selectPromptMsg: 'অনুগ্রহ করে এডিটরে ওপেন করার জন্য টেমপ্লেট বাছাই করুন<br>(আসল কনটেন্ট হারিয়ে যাবে):',
-		emptyListMsg : '(কোন টেমপ্লেট ডিফাইন করা নেই)'
+		button			: 'টেমপ্লেট',
+		title			: 'কনটেন্ট টেমপ্লেট',
+		insertOption	: 'Replace actual contents', // MISSING
+		selectPromptMsg	: 'অনুগ্রহ করে এডিটরে ওপেন করার জন্য টেমপ্লেট বাছাই করুন<br>(আসল কনটেন্ট হারিয়ে যাবে):',
+		emptyListMsg	: '(কোন টেমপ্লেট ডিফাইন করা নেই)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'স্টাইল',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'স্টাইল',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'ফন্ট ফরমেট',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'ফন্ট ফরমেট',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'সাধারণ',
-		tag_pre : 'ফর্মেটেড',
-		tag_address : 'ঠিকানা',
-		tag_h1 : 'শীর্ষক ১',
-		tag_h2 : 'শীর্ষক ২',
-		tag_h3 : 'শীর্ষক ৩',
-		tag_h4 : 'শীর্ষক ৪',
-		tag_h5 : 'শীর্ষক ৫',
-		tag_h6 : 'শীর্ষক ৬',
-		tag_div : 'শীর্ষক (DIV)'
+		label		: 'ফন্ট ফরমেট',
+		panelTitle	: 'ফন্ট ফরমেট',
+
+		tag_p		: 'সাধারণ',
+		tag_pre		: 'ফর্মেটেড',
+		tag_address	: 'ঠিকানা',
+		tag_h1		: 'শীর্ষক ১',
+		tag_h2		: 'শীর্ষক ২',
+		tag_h3		: 'শীর্ষক ৩',
+		tag_h4		: 'শীর্ষক ৪',
+		tag_h5		: 'শীর্ষক ৫',
+		tag_h6		: 'শীর্ষক ৬',
+		tag_div		: 'শীর্ষক (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'ফন্ট',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'ফন্ট',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'ফন্ট',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'ফন্ট'
 	},
 
 	fontSize :
 	{
-		label : 'সাইজ',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'সাইজ',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'সাইজ',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'সাইজ'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'টেক্স্ট রং',
-		bgColorTitle : 'বেকগ্রাউন্ড রং',
-		auto : 'অটোমেটিক',
-		more : 'আরও রং...'
+		textColorTitle	: 'টেক্স্ট রং',
+		bgColorTitle	: 'বেকগ্রাউন্ড রং',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'অটোমেটিক',
+		more			: 'আরও রং...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
